Removes a SSO provider by its UUID
delete
/v1/projects/{ref}/config/auth/sso/providers/{provider_id}OAuth scopes
- auth:write
The fine-grained token must include the following permissions to access this endpoint:
- auth_config_write
Path parameters
- refRequiredstring
Project ref
- provider_idRequiredstring
Response codes
- 200
- 401
- 403
- 404
- 429
Response (200)
{ "id": "lorem", "saml": { "entity_id": "lorem", "metadata_url": "lorem", "metadata_xml": "lorem", "attribute_mapping": { "keys": { "property1": { "name": "lorem", "names": [ "lorem" ], "array": true, "default": {} }, "property2": { "name": "lorem", "names": [ "lorem" ], "array": true, "default": {} } } }, "name_id_format": "urn:oasis:names:tc:SAML:1.1:nameid-format:unspecified" }, "domains": [ { "domain": "lorem", "created_at": "lorem", "updated_at": "lorem" } ], "created_at": "lorem", "updated_at": "lorem"}{ "type": "object", "properties": { "id": { "type": "string" }, "saml": { "type": "object", "properties": { "entity_id": { "type": "string" }, "metadata_url": { "type": "string" }, "metadata_xml": { "type": "string" }, "attribute_mapping": { "type": "object", "properties": { "keys": { "type": "object", "additionalProperties": { "type": "object", "properties": { "name": { "type": "string" }, "names": { "type": "array", "items": { "type": "string" } }, "array": { "type": "boolean" }, "default": { "anyOf": [ { "type": "object", "properties": {} }, { "type": "number" }, { "type": "string" }, { "type": "boolean" } ] } } } } }, "required": [ "keys" ] }, "name_id_format": { "type": "string", "enum": [ "urn:oasis:names:tc:SAML:1.1:nameid-format:unspecified", "urn:oasis:names:tc:SAML:2.0:nameid-format:transient", "urn:oasis:names:tc:SAML:1.1:nameid-format:emailAddress", "urn:oasis:names:tc:SAML:2.0:nameid-format:persistent" ] } }, "required": [ "entity_id" ] }, "domains": { "type": "array", "items": { "type": "object", "properties": { "domain": { "type": "string" }, "created_at": { "type": "string" }, "updated_at": { "type": "string" } } } }, "created_at": { "type": "string" }, "updated_at": { "type": "string" } }, "required": [ "id" ]}